@echo off
set CONFIG=%1
echo Build configuration is: %CONFIG%

if /i "%CONFIG%"=="Debug" (
    echo Copying files to debug directory
    copy /Y "extras\fonts\RobotoMono-Regular.ttf" "build\Debug\RobotoMono-Regular.ttf"
    copy /Y "extras\icons\tmp.ico"                "build\Debug\tmp.ico"
    copy /Y "extras\icons\tmp_min.ico"            "build\Debug\tmp_min.ico"
    copy /Y "lib\third_party\Everything\windows\Everything64.dll" "build\Debug\Everything64.dll"
) else if /i "%CONFIG%"=="Release" (
    echo Copying files to release directory
    copy /Y "extras\fonts\RobotoMono-Regular.ttf" "build\Release\RobotoMono-Regular.ttf"
    copy /Y "extras\icons\tmp.ico"                "build\Release\tmp.ico"
    copy /Y "extras\icons\tmp_min.ico"            "build\Release\tmp_min.ico"
    copy /Y "lib\third_party\Everything\windows\Everything64.dll" "build\Release\Everything64.dll"
)
